Name:       sl
Version:    6.0
Release:    1%{?dist}
Summary:    SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

License:    SL
URL:        https://github.com/scaryrawr/sl
VCS:        git+https://github.com/scaryrawr/sl#8f6d2045d6eb54398c045d175616039a0525c156:

Source:    sl-8f6d2045.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  cargo
BuildRequires:  rust

%description
SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%license LICENSE
%{bash_completions_dir}/sl.bash
%{fish_completions_dir}/sl.fish
%{zsh_completions_dir}/_sl

%prep
%setup -T -b 0 -q -n sl

%build
COMPLETION_DIR="completions" cargo build --release

%install
install -Dpm 0755 target/release/sl %{buildroot}%{_bindir}/sl
install -Dpm 0644 completions/sl.1 %{buildroot}%{_mandir}/man1/sl.1
install -Dpm 0644 sl.1.ja %{buildroot}%{_mandir}/man1/sl.1.ja
install -Dpm 0644 completions/sl.bash -t %{buildroot}%{bash_completions_dir}
install -Dpm 0644 completions/sl.fish -t %{buildroot}%{fish_completions_dir}
install -Dpm 0644 completions/_sl -t     %{buildroot}%{zsh_completions_dir}

%changelog
* Fri Dec 13 2024 Mike Wallio <michael.wallio@outlook.com> 6.0-2
(none)

* Fri Dec 13 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.0-1
(none)

* Wed Dec 11 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.rc1-1
(none)

* Wed Dec 11 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.0-rc1
(none)

* Sun Dec 01 2024 Mike Wallio <michael.wallio@outlook.com> 5.07-1
(none)
